#!/bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
cd "$SCRIPT_DIR"/../..
dir=graphics/render
rm textures.sprites*.txt 2>/dev/null
find $dir | grep \.txt$ | grep -v _g\.txt$ | perl -lne 'print "#include \"$_\""' > textures.sprites.txt
find $dir | grep _g\.txt$ | perl -lne 'print "#include \"$_\""' > gldefs.brightmaps.sprites.txt
