#!/bin/bash
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
cd "$SCRIPT_DIR"/../..
dir=graphics/render

rm textures.sprites*.txt 2>/dev/null
for f in $(find $dir | grep \.txt$ | grep -v _g\.txt$); do
	b=$(basename $f);
	cp -iv "$f" "textures.sprites.$b";
done

rm gldefs.brightmaps.sprites*.txt 2>/dev/null
for f in $(find $dir | grep _g\.txt$); do
	b=$(basename $f);
	cp -iv "$f" "gldefs.brightmaps.sprites.$b"
done

rm gldefs.txt 2>/dev/null
for f in $(ls | grep ^gldefs); do
	b=$(basename $f);
	echo "#include \"$b\"" >> gldefs.txt;
done